--called by the host at the start of a game, makes the objects in question
function initHost()
	terrain.callUpdate = 0--skip calling the update function
	terrain.callWithin = 0
	
	--foreground fogs
	stage.createEmitter("nebulaefog", terrain.centerx, terrain.centery)
	emitter.upload(stage.newClient)
	
	--background fogs (just modify the forground ones)
	stage.createEmitter("nebulaefog", terrain.centerx, terrain.centery)
	emitter.layer = 3
	emitter.dist = 1.2
	emitter.posVar = 200
	--emitter.alpha = .15
	--emitter.alphaVar = .05
	emitter.upload(stage.newClient)

	return 0
end

--called (by the host) every loop
function updateHost()
	return 0
end

--called (by the host) when a ship is inside this terrain tile
function shipWithin()	
	--make them invisible to the minimap
	
	return 0
end


--sets the editor/minimap display icon and color
function setIcon()
	icon.frame = 21	--from map_icons.png, which frame to use.
	icon.color = 0	--grey
	return 0
end